| Haskell Hierarchical Libraries (fgl package) | Source code | Contents | Index

Data.Graph.Inductive.Query.TransClos

Synopsis

trc :: DynGraph gr => gr a b -> gr a ()

Documentation
trc :: DynGraph gr => gr a b -> gr a ()
Finds the transitive closure of a directed graph. Given a graph G=(V,E), its transitive closure is the graph: G* = (V,E*) where E*={(i,j): i,j in V and there is a path from i to j in G}
Produced by Haddock version 0.8